viernes, 7 de octubre de 2016

Wireshark corrige dos nuevas vulnerabilidades

Wireshark Foundation ha publicado la versión 2.1.1 que incluye la corrección de dos vulnerabilidades que podrían provocar condiciones de denegación de servicio.

Wireshark es una popular aplicación de auditoría orientada al análisis de tráfico en redes, que soporta una gran cantidad de protocolos y es de fácil manejo. Además Wireshark se encuentra bajo licencia GPL y disponible para la mayoría de sistemas operativos Unix y compatibles, así como Microsoft Windows.

En esta ocasión la fundación Wireshark ha publicado dos boletines de seguridad (wnpa-sec-2016-56 y wnpa-sec-2016-57) que afectan a la nueva rama 2.2.0, publicada en septiembre. También se ha publicado la versión 2.0.7, que aunque no soluciona ninguna vulnerabilidad corrige otros fallos de funcionalidad.

Como es habitual, las vulnerabilidades corregidas residen en denegaciones de servicio por fallos en la implementación de disectores, que son los módulos responsables de analizar los paquetes de cada uno de los protocolos. En esta ocasión los disectores y protocolos afectados son Bluetooth L2CAP y NCP. También se ha solucionado diferentes problemas no relacionados directamente con vulnerabilidades de seguridad.

Las vulnerabilidades mencionadas se han solucionado en la versión 2.2.1. Esta versión, junto con la 2.0.7 están disponibles para descarga desde la página oficial del proyecto.

Hay que recordar que Wireshark 1.12 alcanzó su final de vida el 31 de julio, por lo que ya no recibe actualizaciones. Se recomienda a los usuarios de esta rama actualizar a Wireshark 2.2.0.

Más información:

una-al-dia (09/09/2016) Publicadas nuevas versiones de Wireshark

Wireshark 2.2.1 Release Notes

wnpa-sec-2016-56 · Bluetooth L2CAP dissector crash

wnpa-sec-2016-57 · NCP dissector crash

Wireshark 2.0.7 Release Notes


Antonio Ropero
Twitter: @aropero


No hay comentarios:

Publicar un comentario en la entrada